package cn.com.poc.law.entity.motorVehicleDrivingComplaint;


import cn.com.poc.law.jsonSerializer.JacksonDateFormatDeSerializer;
import cn.com.poc.law.jsonSerializer.JacksonDateFormatSerializer;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;

/**
 * @Author：Roger Wu
 * @name：Defendant
 * @Date：2025-08-01 10:45
 */
public class Defendant {

    private String defendantName;
    private String defendantGender;
    @JsonDeserialize(using = JacksonDateFormatDeSerializer.class)
    private String defendantDob;
    private String defendantEthnicity;
    private String defendantWorkUnit;
    private String defendantTitle;
    private String defendantPhone;
    private String defendantDomicile;
    private String defendantHabitualResidence;
    private String defendantIdType;
    private String defendantIdNumber;

    public String getDefendantName() {
        return defendantName;
    }

    public void setDefendantName(String defendantName) {
        this.defendantName = defendantName;
    }

    public String getDefendantGender() {
        return defendantGender;
    }

    public void setDefendantGender(String defendantGender) {
        this.defendantGender = defendantGender;
    }

    public String getDefendantDob() {
        return defendantDob;
    }

    public void setDefendantDob(String defendantDob) {
        this.defendantDob = defendantDob;
    }

    public String getDefendantEthnicity() {
        return defendantEthnicity;
    }

    public void setDefendantEthnicity(String defendantEthnicity) {
        this.defendantEthnicity = defendantEthnicity;
    }

    public String getDefendantWorkUnit() {
        return defendantWorkUnit;
    }

    public void setDefendantWorkUnit(String defendantWorkUnit) {
        this.defendantWorkUnit = defendantWorkUnit;
    }

    public String getDefendantTitle() {
        return defendantTitle;
    }

    public void setDefendantTitle(String defendantTitle) {
        this.defendantTitle = defendantTitle;
    }

    public String getDefendantPhone() {
        return defendantPhone;
    }

    public void setDefendantPhone(String defendantPhone) {
        this.defendantPhone = defendantPhone;
    }

    public String getDefendantDomicile() {
        return defendantDomicile;
    }

    public void setDefendantDomicile(String defendantDomicile) {
        this.defendantDomicile = defendantDomicile;
    }

    public String getDefendantHabitualResidence() {
        return defendantHabitualResidence;
    }

    public void setDefendantHabitualResidence(String defendantHabitualResidence) {
        this.defendantHabitualResidence = defendantHabitualResidence;
    }

    public String getDefendantIdType() {
        return defendantIdType;
    }

    public void setDefendantIdType(String defendantIdType) {
        this.defendantIdType = defendantIdType;
    }

    public String getDefendantIdNumber() {
        return defendantIdNumber;
    }

    public void setDefendantIdNumber(String defendantIdNumber) {
        this.defendantIdNumber = defendantIdNumber;
    }
}
